
      SUBROUTINE Annul(Liaisons,at,atli)
!  Cette routine supprime l'atome atli dans les liaisons de at
      use Path_module, only : Nat, NMaxL

      INTEGER(4) :: Liaisons(Nat,0:NMaxL),At,Atli,I,J
      I=1
      Do WHILE ((Liaisons(at,I).NE.Atli).AND.(I.LE.Liaisons(at,0)))
       I=I+1
      END DO
      Do J=I,NMaxL-1
        Liaisons(at,J)=Liaisons(at,J+1)
      END DO
        Liaisons(at,NMaxL)=0
      END
